app.controller('bindAccountController', function($scope, $stateParams, $http) {
	$scope.stuCode = stuCode;
	
	document.getElementById("reg").addEventListener("tap", function(e){
		var stuCode = stuCode;
		
		var chargetype = document.getElementById("chargetype").value;
		if (chargetype == "") {
			swal({
				title: "",
				text: "请选择运营商",
				//timer: 1000,
				showConfirmButton: false,
				type: 'error',
				confirmButtonText: '确定',
				showInputError: true
			});
				
			return;
		}
		
		var yysAcct = document.getElementById("yysAcct").value;
		var yysPassword = document.getElementById("yysPassword").value;
		
		var cmccAcc = "";
		var cmccPwd = "";
		
		var unionAcc = "";
		var unionPwd = "";
		
		var teleAcc = "";
		var telePwd = "";
		
		if (chargetype == "0") { // 中国移动
			cmccAcc = yysAcct;
			cmccPwd = yysPassword;
		}
		else if (chargetype == "1") {  // 中国联通
			unionAcc = yysAcct;
			unionPwd = yysPassword;
		}
		else if (chargetype == "2") { // 中国电信
			teleAcc = yysAcct;
			telePwd = yysPassword;
		}
		
		var data = {
			account: stuCode,
				
			cmccAcc: cmccAcc,
			cmccPwd: cmccPwd,
				
			unionAcc: unionAcc,
			unionPwd: unionPwd,
				
			teleAcc: teleAcc,
			telePwd: telePwd,
		};
			
        var paramData = jQuery.param(data);
        
        $http({
			method: 'GET',
			url: accessUrl + "/costservice/m/HotspotNetRechargeController/bindOperator?" + paramData,
			data: null,	
			transformRequest: function(obj) {
				var str = [];
				for(var s in obj) {
					str.push(encodeURIComponent(s) + "=" + encodeURIComponent(obj[s]));
				}
				return str.join("&");
			}
			
		}).success(function(result) {
			//			mui.toast(result.message);
			if(result.code == 200) {
				swal({
					title: "",
					text: result.message,
					//				timer: 1000,
					showConfirmButton: false,
					type: 'success',
					confirmButtonText: '确定',
					showInputError: true
				},function(){
					$state.go("urbanHotspots",{});
				});
			} else {
				swal({
					title: "",
					text: result.message,
					//				timer: 1000,
					showConfirmButton: false,
					type: 'error',
					confirmButtonText: '确定',
					showInputError: true
				});
			}

			mui("#reg").button('reset');
			//			document.getElementById("lostbtn").disabled = false;
		});
	});
})