app.controller('flwdetailController', function($scope, $stateParams, $http) {
	$scope.startDate = $stateParams.startDate;
	$scope.endDate = $stateParams.endDate;

	var pageIndex = 1;
	var count = 0;
	loadPage(pageIndex)
	pullToRefresh();

	function loadPage(pageIndex) {
		//http://192.168.1.104:8089//m/ttnsmflwingController/newFindByPage
		//accessUrl + "/m/ttnsmflwingController/findByPage"
		//accessUrl + "/cardservice/m/ttnsmflwingController/newFindByPage
		mui.ajax(accessUrl + "/cardservice/m/ttnsmflwingController/newFindByPage", {
			data: {
				"stuCode": stuCode,
				pageIndex: pageIndex,
				pageSize: 3,
				type: $stateParams.flwquery_cardList,
				beginTime: $stateParams.startDate,
				endTime: $stateParams.endDate
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'get', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			success: function(result) {

				mui('.mui-scroll-wrapper').scroll();
				$scope.details = result.data;
				var html = template('timelineTpl', result.data);
				document.getElementById('result').innerHTML += html;
				document.querySelectorAll(".tongji")[0].style.display= "block";
				pageIndex = result.data.pageIndex;
				count = result.data.pageCount;
				document.getElementById("loadanmation").innerHTML = '';

			},
			error: function(XMLHttpRequest, textStatus, errorThrown) {
	            if (XMLHttpRequest.status == 0) {
	            	mui.toast("连接超时，请确认网络是否通畅。");
	            	return;
	            }
				mui.toast("发生未知异常" + XMLHttpRequest.readyState + "textStatus" + textStatus);
			}
		});
	}
	document.getElementById("flwdetail_LoadMore").addEventListener('tap', function() {
		pageIndex = parseInt(pageIndex);
		if(pageIndex + 1 <= count) {
			pageIndex++;
			loadPage(pageIndex);
			mui('.mui-scroll-wrapper').scroll();
		} else {
			document.getElementById("flwdetail_LoadMore").innerText = "没有更多了"
		}

	});

	function pullToRefresh() {
		var startX, startY;
		document.getElementById("pullrefresh").addEventListener('touchstart', function(ev) {
			startX = ev.touches[0].pageX;
			startY = ev.touches[0].pageY;
		}, false);
		document.getElementById("pullrefresh").addEventListener('touchend', function(ev) {
			var endX, endY;
			endX = ev.changedTouches[0].pageX;
			endY = ev.changedTouches[0].pageY;

			var direction = GetSlideDirection(startX, startY, endX, endY);
			switch(direction) {
				case 0:

					console.log("无操作");
					break;
				case 1:
					// 向上 
					document.getElementById("loadanmation").innerHTML = '<img style="width: 100px;height: 100px;margin-top: -200px; position: absolute; left: 130px;z-index:9999;" src="images/load.gif"/>';
					window.setTimeout(function() {
						pageIndex = parseInt(pageIndex);
						if(pageIndex + 1 <= count) {
							pageIndex++;
							loadPage(pageIndex);
							document.getElementById("loadanmation").innerHTML = "";

						} else {
							document.getElementById("flwdetail_LoadMore").innerText = "没有更多了";
							document.getElementById("loadanmation").innerHTML = "";
						}
						mui('.mui-scroll-wrapper').scroll();
					}, 500)

					break;
				case 2:
					// 向下 

					console.log("down");
					break;

				default:
			}
		}, false);
	}

	function GetSlideDirection(startX, startY, endX, endY) {
		var dy = startY - endY;
		//var dx = endX - startX; 
		var result = 0;
		if(dy > 0) { //向上滑动 
			result = 1;
		} else if(dy < 0) { //向下滑动 
			result = 2;
		} else {
			result = 0;
		}
		return result;
	}

});