app.controller('headUploadController', function ($scope, $stateParams, $http,$state) {
    mui('.mui-scroll-wrapper').scroll();
    $scope.reader = new FileReader();   //创建一个FileReader接口
    $scope.form = {     //用于绑定提交内容，图片或其他数据
        image: {},
    };
    $scope.thumb = {};      //用于存放图片的base64
    $scope.thumb_default = {    //用于循环默认的‘加号’添加图片的框
        1111: {}
    };
    var filename="";
    //var isRightSize=false;
    var isRightSize=true;
    $scope.img_upload = function (files) {       //单次提交图片的函数
        document.getElementById("resutImg").innerHTML="";
        var fileName=document.getElementById("uploadFile").value;
        filePath = fileName.toLowerCase().split(".");
        fileType =  filePath[filePath.length - 1]; //获得文件结尾的类型如 zip rar 这种写法确保是最后的
        if(fileType!='jpg'&&fileType!='jpeg'){
            swal({
                title: "",
                text: "请上传jpg图片",
                timer: 1000,
                showConfirmButton: false,
                type: 'warning',
                confirmButtonText: '确定',
                showInputError: true
            });
            return false;
        }
        var file =files[0];
        var imgMasSize = 3 * 1024 * 1024; // 1MB
        var fr = new FileReader();
        if (file.size > imgMasSize) {
            // 文件大小自定义限制
            // Toast.error("文件大小不能超过10MB！", 2000, undefined, false);
            swal({
                title: "",
                text: "文件大小不能超过3MB",
                timer: 3000,
                showConfirmButton: false,
                type: 'warning',
                confirmButtonText: '确定',
                showInputError: true
            });
            return false;
        }
        $scope.guid = (new Date()).valueOf();   //通过时间戳创建一个随机数，作为键名使用
        $scope.reader.readAsDataURL(files[0]);  //FileReader的方法，把图片转成base64
        $scope.reader.onload = function (ev) {
            var image = new Image();
            image.onload=function(){
                var width = image.width;
                var height = image.height;
                console.log("width"+width);
                console.log("height"+height);
                /*if ((width <= 468&&width >= 208 )&&( height <= 661&& height >= 221)){
                    isRightSize=true;
                }else {
                    swal({
                        title: "",
                        text: "请选择一寸照片",
                        timer: 1000,
                        showConfirmButton: false,
                        type: 'warning',
                        confirmButtonText: '确定',
                        showInputError: true
                    });
                    document.getElementById("resutImg").innerHTML="";
                    isRightSize=false;
                    return false;
                }*/
            };
            image.src= ev.target.result;
            $scope.$apply(function () {
                $scope.thumb[$scope.guid] = {
                    imgSrc: ev.target.result,  //接收base64
                }
                document.getElementById("resutImg").innerHTML='<img style="width: 100%;height: 100%" src="'+ ev.target.result+'" alt="'+(new Date()).valueOf()+'">';
            });


        };
        var data = new FormData();      //以下为像后台提交图片数据
        data.append('file', files[0]);
        data.append('guid', $scope.guid);
        data.append("accStucode", stuCode);
        var oReq = new XMLHttpRequest();
        oReq.open("POST", accessUrl+"/uploadservice/uploadController/upload", true);
        oReq.onload = function(oEvent) {
            if (oReq.status == 200) {

            } else {
                swal({
                    title: "",
                    text: "上传失败",
                    timer: 1000,
                    showConfirmButton: false,
                    type: 'warning',
                    confirmButtonText: '确定',
                    showInputError: true
                });
            }
        };
        oReq.send(data);
        oReq.onreadystatechange = function(){
            //若响应完成且请求成功
            if(oReq.readyState === 4 && oReq.status === 200){
                //do something, e.g. request.responseText
                var resut=eval('(' + oReq.responseText + ')');
                $scope.filename=resut.filename;
                filename=resut.filename;
            }
        }

    };

    $scope.img_del = function (key) {    //删除，删除的时候thumb和form里面的图片数据都要删除，避免提交不必要的
        var guidArr = [];
        for (var p in $scope.thumb) {
            guidArr.push(p);
        }
        delete $scope.thumb[guidArr[key]];
        delete $scope.form.image[guidArr[key]];
    };


    document.getElementById("uploadbtn").addEventListener('tap', function() {
        if(filename==""){
            swal({
                title: "",
                text: "请选择照片",
                timer: 1000,
                showConfirmButton: false,
                type: 'warning',
                confirmButtonText: '确定',
                showInputError: true
            });
            return false;
        }
       /* if(isRightSize==false){
            swal({
                title: "",
                text: "请选择一寸照片",
                timer: 1000,
                showConfirmButton: false,
                type: 'warning',
                confirmButtonText: '确定',
                showInputError: true
            });
            return false;
        }*/
        $http({
            method: 'POST',
            cache:false,
            url: accessUrl + "/cardservice/m/tcommaccountController/updatePhoto",
            data: {
                stuCode: stuCode,
                accPhoto:$scope.filename,
                guid:$scope.guid
            },
            headers: {
                'Content-Type': 'application/x-www-form-urlencoded'
            },
            transformRequest: function(obj) {
                var str = [];
                for(var s in obj) {
                    str.push(encodeURIComponent(s) + "=" + encodeURIComponent(obj[s]));
                }
                return str.join("&");
            }
        }).success(function(result) {
           if(result.code==200){
               swal({
                   title: "",
                   text: "修改照片成功",
                   showConfirmButton: true,
                   type: 'success',
                   confirmButtonText: '确定',
                   showInputError: true
               },function(isConfirm){
                   //window.location.reload();
                   
                   var random = Math.random();
                   window.location.href = appHost + "/Main.html#/account?uid="+stuCode+"&r="+random;
                   
                   // $state.go("account",{});
               });

           }else {
               swal({
                   title: "",
                   text: "修改照片失败",
                   timer: 2000,
                   showConfirmButton: false,
                   type: 'error',
                   confirmButtonText: '确定',
                   showInputError: true
               });
           }
        });
    });

});