app.controller('modifyRegisterController', function($scope, $stateParams, $http, $state) {
	$scope.stuCode = stuCode;
	
	document.getElementById("modifyButton").addEventListener("tap", function(e){
		var stuCode = document.getElementsByName("userAcct")[0].value;
		var oldPassword = document.getElementById("oldPassword").value;
		var newPassword = document.getElementById("newPassword").value;
		var conNewPassword = document.getElementById("conNewPassword").value;
		
		if ("" == jQuery.trim(oldPassword)) {
			swal({
				title: "",
				text: "请输入原密码",
				//timer: 1000,
				showConfirmButton: false,
				type: 'error',
				confirmButtonText: '确定',
				showInputError: true
			});
				
			return;
		}
		
		if ("" == jQuery.trim(newPassword)) {
			swal({
				title: "",
				text: "请输入新密码",
				//timer: 1000,
				showConfirmButton: false,
				type: 'error',
				confirmButtonText: '确定',
				showInputError: true
			});
				
			return;
		}
		
		if ("" == jQuery.trim(conNewPassword)) {
			swal({
				title: "",
				text: "请输入确认新密码",
				//timer: 1000,
				showConfirmButton: false,
				type: 'error',
				confirmButtonText: '确定',
				showInputError: true
			});
			
			return;
		}
		
		if (jQuery.trim(newPassword) != jQuery.trim(conNewPassword)) {
			swal({
				title: "",
				text: "两次输入的新密码不一致，请确认后再重试",
				//timer: 1000,
				showConfirmButton: false,
				type: 'error',
				confirmButtonText: '确定',
				showInputError: true
			});
			
			return;
		}
		
		var data = {
			account: stuCode,
			passwd: oldPassword,
			newPwd: newPassword
		};
			
        var paramData = jQuery.param(data);
        
        $http({
			method: 'GET',
			url: accessUrl + "/costservice/m/HotspotNetRechargeController/editUserinfo?" + paramData,
			data: null,	
			transformRequest: function(obj) {
				var str = [];
				for(var s in obj) {
					str.push(encodeURIComponent(s) + "=" + encodeURIComponent(obj[s]));
				}
				return str.join("&");
			}
			
		}).success(function(result) {
			//			mui.toast(result.message);
			if(result.code == 200) {
				swal({
					title: "",
					text: result.message,
					//				timer: 1000,
					showConfirmButton: false,
					type: 'success',
					confirmButtonText: '确定',
					showInputError: true
				},function(){
					$state.go("urbanHotspots",{});
				});
			} else {
				swal({
					title: "",
					text: result.message,
					//				timer: 1000,
					showConfirmButton: false,
					type: 'error',
					confirmButtonText: '确定',
					showInputError: true
				});
			}

			mui("#modifyButton").button('reset');
			//			document.getElementById("lostbtn").disabled = false;
		});
	});
})