app.controller('qrcodeController', function($scope, $http, $state) {

    generateCode();






    function initService() {
        $http({
            method: 'POST',
            url: accessUrl + "/cardController/getBarQrCodeStr",
            data: {
                stuCode: enStuCode
            },
            headers: {
                'Content-Type': 'application/x-www-form-urlencoded'
            },
            transformRequest: function(obj) {
                var str = [];
                for (var s in obj) {
                    str.push(encodeURIComponent(s) + "=" + encodeURIComponent(obj[s]));
                }
                return str.join("&");
            }
        }).success(function(result) {



        });

    }
    var qrcode = null;

    function generateCode() {
        mui.ajax(accessUrl + "/cardController/getBarQrCodeStr", {
            method: 'POST',
            data: {
                stuCode: enStuCode
            },
            dataType: 'json', //服务器返回json格式数据
            type: 'POST', //HTTP请求类型
            timeout: 10000, //超时时间设置为10秒；
            success: function(result) {
                if (result.data != null) {
                    var opath = result.data;
                    var code = result.code;
                    var message = result.message;
                    $scope.imgPath = accessUrl + "/" + opath;
                    $scope.code = code;
                    console.log($scope.code);
                    $scope.message = message;

                    //$("#barCode").barcode(result.data, "code128",{"barWidth": "1.8","barHeight": "60","showHRI": false});
                    if (qrcode == null) {
                    	if (document.getElementById("qrCode")) {
                    		document.getElementById("qrCode").innerHTML = "";
                    	}
                        qrcode = new QRCode(document.getElementById("qrCode"), { "width": "200", "height": "200" });
                    }
                    qrcode.makeCode(result.data);
                } else {
                    swal({
                            title: "",
                            text: result.message,
                            type: "warning",
                            showCancelButton: true,
                            confirmButtonColor: "#DD6B55",
                            confirmButtonText: "开通",
                            cancelButtonText: "不开通",
                            closeOnConfirm: true,
                            closeOnCancel: true
                        },
                        function(isConfirm) {
                            if (isConfirm) {
                                $http({
                                    method: 'GET',
                                    url: accessUrl + "/cardservice/m/tcommcardController/openVirtualCard?stuCode=" + stuCode,
                                    headers: {
                                        'Content-Type': 'application/x-www-form-urlencoded'
                                    },
                                    transformRequest: function(obj) {

                                    }
                                }).success(function(result) {
                                    if (result.code == 200 || result.code == '200') {
                                        initService();
                                        generateCode();//立即生成图片
                                    } else {
                                        setTimeout(function() {
                                            swal({
                                                title: "",
                                                text: result.message,
                                                showConfirmButton: true,
                                                type: 'error',
                                                confirmButtonText: '确定',
                                            }, function() {
                                                $state.go("PageTab.Page1");

                                            });
                                        }, 100);
                                    }
                                });

                            } else {
                                $state.go("PageTab.Page1");
                            }

                        });

                }

            },
            error: function(XMLHttpRequest, textStatus, errorThrown) {
	            if (XMLHttpRequest.status == 0) {
	            	mui.toast("连接超时，请确认网络是否通畅。");
	            	return;
	            }
                mui.toast("发生未知异常[" + XMLHttpRequest.readyState + "]textStatus[" + textStatus + "]");
            }
        });
    }
    setInterval(function() {
            generateCode();
        }, 60000)
        /* $scope.load = function () {
        initService();
        
        
        //$("#bcTarget").barcode("25A5B934A29F45900901", "code128",{"showHRI":false});
    }
*/
});