//http://192.168.1.103:8399//api/merchantController/newFindStoreMoneyByStuCode
//accessUrl+"/newmerchantservice/api/merchantController/findStoreMoneyByStuCode
//accessUrl+"/newmerchantservice/api/merchantController/newFindStoreMoneyByStuCode
app.controller('storeAccountController', function ($scope, $http) {
    $scope.load = function () {
        $http({
            method: 'POST',
            url:accessUrl+"/newmerchantservice/api/merchantController/newFindStoreMoneyByStuCode",
            data: {
                stuCode: stuCode,
            },
            headers: {
                'Content-Type': 'application/x-www-form-urlencoded'
            },
            transformRequest: function (obj) {
                var str = [];
                for (var s in obj) {
                    str.push(encodeURIComponent(s) + "=" + encodeURIComponent(obj[s]));
                }
                return str.join("&");
            }
        }).success(function (result) {
            $scope.list = result.data;
            if (result.data.length!= 0) {
                $scope.clientNo = result.data[0].clientNo;
            }
            $scope.sum = result.sum;
            $scope.startDate = result.startDate;

        });
    };
    mui('.mui-scroll-wrapper').scroll();
    $scope.correct = function (tradeDate, checkMoney,clientNo) {
        swal({
                title: "提示",
                text: "本操作一天只允许一次，请在一天营业停止后进行操作，是否确认操作？",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: "#DD6B55",
                confirmButtonText: "确定",
                cancelButtonText: "取消",
                closeOnConfirm: false
            },
            function(isConfirm){
                if (isConfirm) {
                    document.getElementById("correct").setAttribute("disabled","disabled");
                    $http({
                        method: 'POST',
                        url: accessUrl+"/newmerchantservice/api/merchantController/storeTradeCheck",
                        data: {
                            stuCode: stuCode,
                            tradeDate: tradeDate,
                            checkMoney: checkMoney,
                            checkResult: '0',
                            clientNo:clientNo
                        },
                        headers: {
                            'Content-Type': 'application/x-www-form-urlencoded'
                        },
                        transformRequest: function (obj) {
                            var str = [];
                            for (var s in obj) {
                                str.push(encodeURIComponent(s) + "=" + encodeURIComponent(obj[s]));
                            }
                            return str.join("&");
                        }
                    }).success(function (result) {
                        document.getElementById("correct").removeAttribute("disabled");

                        if (result.code == '200') {
                            swal({
                                title: "",
                                text: result.message,
                                //				timer: 1000,
                                showConfirmButton: false,
                                type: 'success',
                                confirmButtonText: '确定',
                                showInputError: true
                            });
                        } else {
                            swal({
                                title: "",
                                text: result.message,
                                //				timer: 1000,
                                showConfirmButton: false,
                                type: 'error',
                                confirmButtonText: '确定',
                                showInputError: true
                            });
                        }
                    });
                }
            });

    }
    $scope.error = function (tradeDate, checkMoney,clientNo) {
        swal({
                title: "提示",
                text: "本操作一天只允许一次，请在一天营业停止后进行操作，是否确认操作？",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: "#DD6B55",
                confirmButtonText: "确定",
                cancelButtonText: "取消",
                closeOnConfirm: false

            },
            function(isConfirm){
                if (isConfirm) {
                    document.getElementById("error").setAttribute("disabled","disabled");
                    $http({
                        method: 'POST',
                        url: accessUrl+"/newmerchantservice/api/merchantController/storeTradeCheck",
                        data: {
                            stuCode: stuCode,
                            tradeDate: tradeDate,
                            checkMoney: checkMoney,
                            checkResult: '1',
                            clientNo:clientNo
                        },
                        headers: {
                            'Content-Type': 'application/x-www-form-urlencoded'
                        },
                        transformRequest: function (obj) {
                            var str = [];
                            for (var s in obj) {
                                str.push(encodeURIComponent(s) + "=" + encodeURIComponent(obj[s]));
                            }
                            return str.join("&");
                        }
                    }).success(function (result) {
                        document.getElementById("error").removeAttribute("disabled");
                        if (result.code == '200') {
                            swal({
                                title: "",
                                text: result.message,
                                //				timer: 1000,
                                showConfirmButton: false,
                                type: 'success',
                                confirmButtonText: '确定',
                                showInputError: true
                            });
                        } else {
                            swal({
                                title: "",
                                text: result.message,
                                //				timer: 1000,
                                showConfirmButton: false,
                                type: 'error',
                                confirmButtonText: '确定',
                                showInputError: true
                            });
                        }
                    });
                }
            });

    }

});