app.controller('urbanHotspotsController', function($scope, $stateParams, $http) {
    // console.log('urbanHotspotsController');
    document.getElementById("cityHot").addEventListener('tap', function() {
        swal({
            title: "",
            text: "确定申请账户复通吗？",
            //timer: 3000,
            showConfirmButton: false,
            showCancelButton: true,
            type: 'warning',
            confirmButtonText: '确定',
            cancelButtonText: '取消',
            showInputError: true,
            //				showLoaderOnConfirm: true, 
            showConfirmButton: false

        }, function(isConfirm){
        	if (isConfirm) {
	            var data = {
					account: stuCode
				};
					
		        var paramData = jQuery.param(data);
		        
	            $http({
					method: 'GET',
					url: accessUrl + "/costservice/m/HotspotNetRechargeController/resumeService?" + paramData,
					
					transformRequest: function(obj) {
						var str = [];
						for(var s in obj) {
							str.push(encodeURIComponent(s) + "=" + encodeURIComponent(obj[s]));
						}
						return str.join("&");
					}
				}).success(function(result){
					if(result.code == 200) {
						swal({
							title: "",
							text: result.message,
							//				timer: 1000,
							showConfirmButton: false,
							type: 'success',
							confirmButtonText: '确定',
							showInputError: true
						});
					} else {
						swal({
							title: "",
							text: result.message,
							//				timer: 1000,
							showConfirmButton: false,
							type: 'error',
							confirmButtonText: '确定',
							showInputError: true
						});
					}
				});
			}
        });
    })
    document.getElementById("salesAccount").addEventListener('tap', function() {
        swal({
            title: "",
            text: "确定申请账户销户吗？",
            //timer: 3000,
            showConfirmButton: false,
            showCancelButton: true,
            type: 'warning',
            confirmButtonText: '确定',
            cancelButtonText: '取消',
            showInputError: true,
            //				showLoaderOnConfirm: true, 
            showConfirmButton: false

        }, function(isConfirm){
        	if (isConfirm) {
	            var data = {
					account: stuCode
				};
					
		        var paramData = jQuery.param(data);
		        
	            $http({
					method: 'GET',
					url: accessUrl + "/costservice/m/HotspotNetRechargeController/deleteUser?" + paramData,
					
					transformRequest: function(obj) {
						var str = [];
						for(var s in obj) {
							str.push(encodeURIComponent(s) + "=" + encodeURIComponent(obj[s]));
						}
						return str.join("&");
					}
				}).success(function(result){
					if(result.code == 200) {
						swal({
							title: "",
							text: result.message,
							//				timer: 1000,
							showConfirmButton: false,
							type: 'success',
							confirmButtonText: '确定',
							showInputError: true
						});
					} else {
						swal({
							title: "",
							text: result.message,
							//				timer: 1000,
							showConfirmButton: false,
							type: 'error',
							confirmButtonText: '确定',
							showInputError: true
						});
					}
				});
			}
        });
    })
    document.getElementById("stop").addEventListener('tap', function() {
        swal({
            title: "",
            text: "确定申请账户报停吗？",
            //timer: 3000,
            showConfirmButton: true,
            showCancelButton: true,
            type: 'warning',
            confirmButtonText: '确定',
            cancelButtonText: '取消',
            showInputError: true,
            //				showLoaderOnConfirm: true, 
            showConfirmButton: false

        }, function(isConfirm){
            if (isConfirm) {
	            var data = {
					account: stuCode
				};
					
		        var paramData = jQuery.param(data);
		        
	            $http({
					method: 'GET',
					url: accessUrl + "/costservice/m/HotspotNetRechargeController/stopService?" + paramData,
					
					transformRequest: function(obj) {
						var str = [];
						for(var s in obj) {
							str.push(encodeURIComponent(s) + "=" + encodeURIComponent(obj[s]));
						}
						return str.join("&");
					}
				}).success(function(result){
					if(result.code == 200) {
						swal({
							title: "",
							text: result.message,
							//				timer: 1000,
							showConfirmButton: false,
							type: 'success',
							confirmButtonText: '确定',
							showInputError: true
						});
					} else {
						swal({
							title: "",
							text: result.message,
							//				timer: 1000,
							showConfirmButton: false,
							type: 'error',
							confirmButtonText: '确定',
							showInputError: true
						});
					}
				});
			}
        });
    })
    mui('.mui-scroll-wrapper').scroll();
})