function search(pageIndex, name, callbackFn){
	jQuery.post(API_HOST + "/interfacelist/api/v1/schoolList/query", {"pageIndex":pageIndex,"name":name}, function(data){
		callbackFn(data);
	}, "json");
}

function filldata(data) {
	jQuery("#searchPanel").empty();
	
	if (data["datalist"].length > 0) {
		if (!jQuery("#searchResTip").hasClass("hidden")) {
			jQuery("#searchResTip").addClass("hidden");
		}
		
		var schoolhtml = "";
		for (var i = 0, ilen = data["datalist"].length; i < ilen; i++) {
			schoolhtml += "<li data-schoolcode=\""+data["datalist"][i]["code"]+"\" onclick=\"selectSchool('"+data["datalist"][i]["code"]+"','"+data["datalist"][i]["name"]+"')\" ><img src=\"images/search.png\">"+data["datalist"][i]["name"]+"</li>";
		}
		
		jQuery("#searchPanel").append(schoolhtml);
	}
	else {
		jQuery("#searchResTip").removeClass("hidden");
	}
}

function selectSchool(code, name){
	jQuery.post(API_HOST + "/interfacelist/api/v1/schoolAccessURL/query", {"schoolCode":code}, function(data){
		if (data) {
			if (data["stateCode"] == 0) {
				// 清理
				//localStorage.removeItem("schoolConfig");
				
				var schoolBaseInfo = {
					"name": name,
					"code": code
				};
				
				//for (var i = 0, ilen = data["interlist"].length; i < ilen; i++) {
				//	if (data["interlist"][i]["intercode"] == "01") {
				//		schoolConfig["schoolhost"] = data["interlist"][i]["interurl"];
			//	}
			//		else if (data["interlist"][i]["intercode"] == "02") {
			//			schoolConfig["mobileserviceurl"] = data["interlist"][i]["interurl"];
			//	}
			//		else if (data["interlist"][i]["intercode"] == "03") {
			//			schoolConfig["costserviceurl"] = data["interlist"][i]["interurl"];
			//	}
			//		else if (data["interlist"][i]["intercode"] == "04") {
			//			schoolConfig["wxpayurl"] = data["interlist"][i]["interurl"];
			//	}
			//		else if (data["interlist"][i]["intercode"] == "05") {
			//			schoolConfig["alipayurl"] = data["interlist"][i]["interurl"];
			//	}
		//	}
				
				localStorage.setItem("schoolBaseInfo", JSON.stringify(schoolBaseInfo));
				
				window.location.href = "./login.html";
			}
		}
	}, "json");
}
	
jQuery(document).ready(function(){
	search(0, "", function(data){
		filldata(data);
	});
	
	jQuery("#searchText").on("input", function(){
		search(0, this.value, function(data){
			filldata(data);
		});
	});
	
	jQuery("#rtSpan").on("click", function(){
		window.location.href = "./login.html";
	});
});
