app.controller('accountController', function($scope, $stateParams, $http) {
    $scope.guid = (new Date()).valueOf();
	$http({
		method: 'POST',
		cache:false,
		url: accessUrl + "/m/tcommaccountController/findByStuCode",
		data: {
			stuCode: stuCode,
            guid:$scope.guid
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		transformRequest: function(obj) {
			var str = [];
			for(var s in obj) {
				str.push(encodeURIComponent(s) + "=" + encodeURIComponent(obj[s]));
			}
			return str.join("&");
		}
	}).success(function(result) {
		var accObj = result.data;
		if (accObj && accObj.accCrdate) {
			accObj.accCrdate = accObj.accCrdate.substring(0, 10);
		}
		
		if (accObj && accObj.accAvdate) {
			accObj.accAvdate = accObj.accAvdate.substring(0, 10);
		}
		
		$scope.account = result.data;
		if ($scope.account.accPhoto == null) {
			$scope.account.accPhoto="/static/noPhoto.png"; // 如果没有照片，使用默认图片
		}
		
		$scope.accessUrl = accessUrl;
        $scope.random=Math.ceil(Math.random()*10);
	});
	
	 document.getElementById("loginout_btn").addEventListener('tap',function(){
	 	 var tgttk = localStorage.getItem("tgttk");
	 	 localStorage.removeItem("tgttk");
	 	 localStorage.removeItem("ochost");
	 	 
		 //window.location.href = accessUrl+"/IndexController/logout";
		 //window.location.href = accessUrl+"/IndexController/logoutCas?tgttk=" + tgttk + "&tgk=" + tgttk;
		 //var rootDir = localStorage.getItem("qz.onecard.rootDir");
		 var szSchoolConfig = localStorage.getItem("schoolConfig");
		 var szSchoolBaseInfo = localStorage.getItem("schoolBaseInfo");
		 
		 localStorage.clear();
		 
		 //localStorage.setItem("qz.onecard.rootDir", rootDir);
		 localStorage.setItem("schoolBaseInfo", szSchoolBaseInfo);
		 localStorage.setItem("schoolConfig", szSchoolConfig);
		 console.log("returnTo=" + appHost + "/index.html");
		 
		 var random = Math.random();
		 window.location.href = appHost + "/index.html?r="+random;
	 });
	mui('.mui-scroll-wrapper').scroll();
   $scope.prevewHead=function () {

	};
	
	$http({
        method: 'GET',
        url: accessUrl + "/m/tcommcardController/findCardByStuCode?stuCode=" + stuCode,
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8'
        }
    }).success(function(result) {
        //document.getElementById("cardCount").innerText = result.data.length;
        var cardCount = 0;
        if(result.data){
            for (var i = 0; i < result.data.length; i++) {
                if (result.data[i].crdStatus == "正常") {
                    cardCount++;
                }
            }
        }

        if (cardCount&&document.getElementById("cardCount")) {
            document.getElementById("cardCount").innerText = cardCount;
        }


    });
});