app.controller('appointTimeController', function($scope, $http, $state, $stateParams) {
	//	localhost:9003/api/serviceController/findAllCountList

    $scope.serviceId = $stateParams.serviceId;

    $scope.date = $stateParams.date;
    $scope.load = function() {
        $scope.initTime();
        mui('.mui-scroll-wrapper').scroll();
    };
    $scope.initTime=function(){
        $http({
            method: 'POST',
            url: accessUrl+"/queueservice/appointmentTimeController/findByService",
            data: {
                serviceId: $stateParams.serviceId,
                date:$stateParams.date
            },
            headers: {
                'Content-Type': 'application/x-www-form-urlencoded'
            },
            transformRequest: function(obj) {
                var str = [];
                for(var s in obj) {
                    str.push(encodeURIComponent(s) + "=" + encodeURIComponent(obj[s]));
                }
                return str.join("&");
            }
        }).success(function(result) {
            $scope.timeList=result;
        });
    };
    $scope.toAppointment= function (id,time) {
        $state.go("appointment",
            {
                "serviceId":$stateParams.serviceId,
                "serviceName":$stateParams.serviceName,
                "date":$stateParams.date,
                "time":time,
                "timeId":id
            });

    };
    $scope.toAppointDate= function () {
        $state.go("appointDate",{"serviceId":$stateParams.serviceId,"serviceName":$stateParams.serviceName});
    };

});