app.controller('appointmentController', function ($scope, $http, $state, $stateParams) {
    //	localhost:9003/api/serviceController/findAllCountList

    $scope.serviceId = $stateParams.serviceId;
    $scope.serviceName = $stateParams.serviceName;
    $scope.time = $stateParams.time;
    $scope.timeId = $stateParams.timeId;
    $scope.date = $stateParams.date;
    $scope.load = function () {

    };
    $scope.toAppointTime = function () {
        $state.go("appointTime", {
            "serviceId": $stateParams.serviceId,
            "serviceName": $stateParams.serviceName,
            "date": $stateParams.date,
            "time": $stateParams.time,
            "timeId":  $stateParams.timeId
        });
    };
    /**
     * 我的号码
     */
    $scope.saveAppointment = function () {

        swal({
                title: "预约提醒",
                text: "系统会对预约后不去办理业务的用户进行信誉记录，若累计次数达到3次，将导致用户不能进行预约抽号，因此，预约抽号以后，因故不能按时办理的用户请及时取消预约",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: "#DD6B55",
                confirmButtonText: "预约",
                cancelButtonText: "不预约",
                closeOnConfirm: false,
                closeOnCancel: true
            },
            function (isConfirm) {
                if (isConfirm) {
                    $http({
                        method: 'POST',
                        url: accessUrl + "/queueservice/appointmentController/save",
                        data: {
                            "name": stuCode,
                            "service": $stateParams.serviceId,
                            "timeId": $stateParams.timeId,
                            "date": $stateParams.date
                        },
                        headers: {
                            'Content-Type': 'application/x-www-form-urlencoded'
                        },
                        transformRequest: function (obj) {
                            var str = [];
                            for (var s in obj) {
                                str.push(encodeURIComponent(s) + "=" + encodeURIComponent(obj[s]));
                            }
                            return str.join("&");
                        }
                    }).success(function (result) {

                        if (result.code == 401) {
                            swal({
                                title: "",
                                text: result.message,
                                //				timer: 1000,
                                showConfirmButton: false,
                                type: 'error',
                                confirmButtonText: '确定',
                                showInputError: true
                            });
                        } else {
                            swal({
                                title: "预约成功",
                                text: result.message,
                                //				timer: 1000,
                                showConfirmButton: false,
                                type: 'success',
                                confirmButtonText: '确定',
                                showInputError: true
                            });
                        }
                        $state.go("appointService");
                    });
                }
                $state.go("appointService");
            });


    }
});