//http://192.168.1.103:8399//api/merchantController/findMoneyByStuCode
//accessUrl+"/newmerchantservice/api/merchantController/newFindMoneyByStuCode"
//http://192.168.1.103:8399//api/merchantController/newFindMoneyByStuCode
app.controller('balOfAccountController', function($scope,$http) {
    $scope.load = function() {
        $http({
            method: 'POST',
            url:accessUrl+"/newmerchantservice/api/merchantController/newFindMoneyByStuCode",
            data: {
                stuCode: stuCode
                //startDate:'2017-01-01',
                //endDate:'2018-07-01'
            },
            headers: {
                'Content-Type': 'application/x-www-form-urlencoded'
            },
            transformRequest: function(obj) {
                var str = [];
                for (var s in obj) {
                    str.push(encodeURIComponent(s) + "=" + encodeURIComponent(obj[s]));
                }
                return str.join("&");
            }
        }).success(function(result) {
            console.log(result.data)
            $scope.list=result.data;
            $scope.sum=result.sum;
            $scope.startDate=result.startDate;

        });
    };
    mui('.mui-scroll-wrapper').scroll();


    $scope.correct=function(tradeDate,checkMoney){
        swal({
                title: "提示",
                text: "本操作一天只允许一次，请在一天营业停止后进行操作，是否确认操作？",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: "#DD6B55",
                confirmButtonText: "确定",
                cancelButtonText: "取消",
                closeOnConfirm: false
            },
            function(isConfirm){
                if (isConfirm) {
                    document.getElementById("correct").setAttribute("disabled","disabled");
                    $http({
                        method: 'POST',
                        url: accessUrl+"/newmerchantservice/api/merchantController/tradeCheck",
                        data: {
                            stuCode: stuCode,
                            tradeDate:tradeDate,
                            checkMoney:checkMoney,
                            checkResult:'0'
                        },
                        headers: {
                            'Content-Type': 'application/x-www-form-urlencoded'
                        },
                        transformRequest: function(obj) {
                            var str = [];
                            for(var s in obj) {
                                str.push(encodeURIComponent(s) + "=" + encodeURIComponent(obj[s]));
                            }
                            return str.join("&");
                        }
                    }).success(function(result) {
                        document.getElementById("correct").removeAttribute("disabled");

                        if(result.code=='200'){
                            swal({
                                title: "",
                                text: result.message,
                                //				timer: 1000,
                                showConfirmButton: false,
                                type: 'success',
                                confirmButtonText: '确定',
                                showInputError: true
                            });
                        }else{
                            swal({
                                title: "",
                                text: result.message,
                                //				timer: 1000,
                                showConfirmButton: false,
                                type: 'error',
                                confirmButtonText: '确定',
                                showInputError: true
                            });
                        }
                    });
                }
            });

    }
    $scope.error=function(tradeDate,checkMoney){

        $http({
            method: 'POST',
            url: accessUrl+"/newmerchantservice/api/merchantController/tradeCheck",
            data: {
                stuCode: stuCode,
                tradeDate:tradeDate,
                checkMoney:checkMoney,
                checkResult:'1'
            },
            headers: {
                'Content-Type': 'application/x-www-form-urlencoded'
            },
            transformRequest: function(obj) {
                var str = [];
                for(var s in obj) {
                    str.push(encodeURIComponent(s) + "=" + encodeURIComponent(obj[s]));
                }
                return str.join("&");
            }
        }).success(function(result) {
            if(result.code=='200'){
                swal({
                    title: "",
                    text: result.message,
                    //				timer: 1000,
                    showConfirmButton: false,
                    type: 'success',
                    confirmButtonText: '确定',
                    showInputError: true
                });
            }else{
                swal({
                    title: "",
                    text: result.message,
                    //				timer: 1000,
                    showConfirmButton: false,
                    type: 'error',
                    confirmButtonText: '确定',
                    showInputError: true
                });
            }
        });
    }

});
