app.controller('bindCardController', function($scope, $http) {
	$http({
		method: 'POST',
		url: accessUrl + "/m/tcommaccountController/findByStuCode",
		data: {
			stuCode: stuCode
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		transformRequest: function(obj) {
			var str = [];
			for(var s in obj) {
				str.push(encodeURIComponent(s) + "=" + encodeURIComponent(obj[s]));
			}
			return str.join("&");
		}
	}).success(function(result) {
		$scope.account = result.data;

	});

	document.getElementById("lostbtn").addEventListener('tap', function() {

		var accBankcode = document.getElementById("accBankcode").value;
		var upassword = document.getElementById("password").value;
		var oprSelect = document.getElementById("oprSelect").value;
		if(accBankcode == "") {
			//			mui.toast("请输入银行卡号");
			swal({
				title: "",
				text: "请输入银行卡号",
				timer: 1000,
				showConfirmButton: false,
				type: 'warning',
				confirmButtonText: '确定',
				showInputError: true
			});
			return;
		}

		if(upassword == "") {
			//			mui.toast("请输入密码");
			swal({
				title: "",
				text: "请输入密码",
				timer: 1000,
				showConfirmButton: false,
				type: 'warning',
				confirmButtonText: '确定',
				showInputError: true
			});
			return;
		}

		//		document.getElementById("lostbtn").disabled = true;
		//		mui("#charge_btn").button('loading');
		mui("#lostbtn").button('loading');
		//222.23.161.165:8089/m/BankRechargeController/bindBankCard?stuCode=&password=&bankCardNo=&oprType=1
		$http({
			method: 'POST',
			url: accessUrl + "/m/BankRechargeController/bindBankCard",
			data: {
				stuCode: stuCode,
				bankCardNo: accBankcode,
				password: upassword,
				oprType: oprSelect
			},
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded'
			},
			transformRequest: function(obj) {
				var str = [];
				for(var s in obj) {
					str.push(encodeURIComponent(s) + "=" + encodeURIComponent(obj[s]));
				}
				return str.join("&");
			}
		}).success(function(result) {
			//			mui.toast(result.message);
			if(result.code == 200) {
				swal({
					title: "",
					text: result.message,
					//				timer: 1000,
					showConfirmButton: false,
					type: 'success',
					confirmButtonText: '确定',
					showInputError: true
				});
			} else {
				swal({
					title: "",
					text: result.message,
					//				timer: 1000,
					showConfirmButton: false,
					type: 'error',
					confirmButtonText: '确定',
					showInputError: true
				});
			}

			mui("#lostbtn").button('reset');
			//			document.getElementById("lostbtn").disabled = false;
		});

	});

});