app.controller('chargeController', function($scope, $stateParams, $http, $interval) {
	var szSchoolBaseInfo = localStorage.getItem("schoolBaseInfo");
	var schoolBaseInfo = {};
	if (szSchoolBaseInfo) {
		schoolBaseInfo = JSON.parse(szSchoolBaseInfo);
	}
	
	$scope.schoolInfo = schoolBaseInfo;
		
window.addEventListener('message',function(e){
    var data = e.data;
	if (data == "ok") {
		mui("#popoverAlipay").popover("hide");
		window.frames["topayFrm"].src = "about:blank";
		window.location = "#/PageTab/Page1";
	}
},false);

function showSubmitTips() {
	var jspanel = jsPanel.modal.create({
		header: false,
		content: document.getElementById("popoverWx").innerHTML,
		panelSize: {"width": "200px", "height": "50px"},
		closeOnBackdrop: false,
	});
	return jspanel;
};

function closeSubmitTips(jspanel) {
	jspanel.close();
}

//mui("#popoverAlipay").popover("hide");
//mui("#popoverWx").popover("hide");
	
	
	
	//console.log(JSON.stringify(schoolBaseInfo));
	
	var chargeType = "支付宝";
	if (schoolBaseInfo["code"] == 13671) {  // 成都只有微信
		chargeType = "微信";
	}
	else if (schoolBaseInfo["code"] == 13655) {  // 南京只有支付宝
		chargeType = "支付宝";
	}
	
	document.querySelector('.mui-table-view.mui-table-view-radio').addEventListener('selected', function(e) {
		chargeType = e.detail.el.innerText;
	});

	

	document.getElementById("charge_banlance").value = userMoney;
	document.getElementById("charge_btn").addEventListener('tap', function() {
		window.frames["topayFrm"].src = "about:blank";
		
		var charge_money = document.getElementById("charge_money").value;
		if(charge_money == "") {
			//			mui.toast("请输入充值金额");
			swal({
				title: "",
				text: "请输入充值金额",
				timer: 1000,
				showConfirmButton: false,
				type: 'warning',
				confirmButtonText: '确定',
				showInputError: true
			});
			return;
		}
		if(isNaN(charge_money)) {
			//			mui.toast("请输入数字");
			swal({
				title: "",
				text: "请输入数字",
				timer: 1000,
				showConfirmButton: false,
				type: 'warning',
				confirmButtonText: '确定',
				showInputError: true
			});
			return;
		}

		if(charge_money <= 0) {
			//			mui.toast("请输入大于0的数字");
			swal({
				title: "",
				text: "请输入大于0的数字",
				timer: 1000,
				showConfirmButton: false,
				type: 'warning',
				confirmButtonText: '确定',
				showInputError: true
			});
			return;
		}
		chargeType = chargeType.trim();
		//		if(chargeType == "中国移动" || chargeType == "") {
		//			var u = navigator.userAgent;
		//			var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Adr') > -1;
		//			//android终端
		//			var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
		//			var name = "NDQC" + charge_money;
		//			var tel = 10086;
		//			if(isiOS) {
		//				document.getElementById("charge_btn").href = "sms:10086&body=" + name;
		//			} else {
		//				document.getElementById("charge_btn").href = "sms:10086?body=" + name;
		//			}
		//			console.log("中国移动")
		//		}
		// 1	1040000	支付宝
		// 2	1050000	微信
		// 3	1010000	中国移动
		// 4	1030000	中国农业银行

		if(chargeType.trim() == "支付宝") {
			console.log("支付宝")
			//window.location.href = accessUrl +"/payservice/alipay/wapPay?stuCode=" + stuCode + "&source=1&payChannel=0&amount=" + charge_money;
			//mui("#popoverAlipay").popover("show");
			
			if (payMethod == "web") {
				window.location.href = alipayDomain + "/wapPay?stuCode=" + stuCode + "&source=1&payChannel=0&amount=" + charge_money;
			}else {
				console.log('url:'+alipayDomain + "/appPay?stuCode=" + stuCode + "&source=1&payChannel=1&amount=" + charge_money);
				var jspanel = showSubmitTips();
				try {
					if (!window.cordova
						|| !window.cordova.plugins
						|| !window.cordova.plugins.alipay
						|| !window.cordova.plugins.alipay.payment) {
						throw new Error("undefined alipay");
					}
					
					$http({
						method: 'get',
						url: alipayDomain + "/appPay?stuCode=" + stuCode + "&source=1&payChannel=1&amount=" + charge_money,

					}).error(function(err, status) {
						swal({
							title: "",
							text: "充值提交失败，请稍后重试。",

							showConfirmButton: false,
							type: 'error',
							confirmButtonText: '确定',
							showInputError: true
						});
						mui("#popoverWx").popover("hide");
						closeSubmitTips(jspanel);
					}).success(function(result) {
						if(result.code==0){
								console.log(result.data);
								var payInfo=result.data;
								cordova.plugins.alipay.payment(payInfo, function success(e) {
									// 支付成功
									swal({
										title: "",
										text: "充值成功",
	
										showConfirmButton: false,
										type: 'success',
										confirmButtonText: '确定',
										showInputError: true
									});
									mui("#popoverWx").popover("hide");
									closeSubmitTips(jspanel);
									window.frames["topayFrm"].src = "about:blank";
									window.location = "#/PageTab/Page1";
								
								}, function error(e) {
									//TODO 支付失败
									console.log("支付失败" + e.resultStatus);
									swal({
										title: "",
										text: '支付失败,请重试!',
										showConfirmButton: false,
										type: 'error',
										confirmButtonText: '确定',
										showInputError: true
									});
									mui("#popoverWx").popover("hide");
									closeSubmitTips(jspanel);
								});
						}else{
							swal({
								title: "",
								text: "充值提交失败，请稍后重试。",
	
								showConfirmButton: false,
								type: 'error',
								confirmButtonText: '确定',
								showInputError: true
							});
							mui("#popoverWx").popover("hide");
							closeSubmitTips(jspanel);
						}

					});
				} catch (e) {
					console.log(e.message);
					if (e.message.indexOf("alipay") >= 0) {
						swal({
							title: "",
							text: "没有找到支付宝，请先安装支付宝。",

							showConfirmButton: false,
							type: 'error',
							confirmButtonText: '确定',
							showInputError: true
						});
					}

					mui("#popoverWx").popover("hide");
					closeSubmitTips(jspanel);
				}
				
				return;
			}
		}
		if(chargeType.trim() == "微信") {
			console.log("微信");
            //window.location.href = wxpayDomain + "/wapPayApp?stuCode=" + stuCode + "&source=1&payChannel=1&amount=" + charge_money;
            
            if (payMethod == "web") {
				window.location.href = wxpayDomain + "/wapPayApp?stuCode=" + stuCode + "&source=1&payChannel=1&amount=" + charge_money;
			}else {
				var jspanel = showSubmitTips();
				try {	
				    // Wechat.isInstalled(function(installed) {	    
				        $http({
				            method: 'get',
				            url: wxpayDomain + "/appPay?stuCode=" + stuCode + "&source=1&payChannel=1&amount=" + charge_money,

				        }).error(function(err, status) {
			            	swal({
						        title: "",
						        text: "充值提交失败，请稍后重试。",
						        
						        showConfirmButton: false,
						        type: 'error',
						        confirmButtonText: '确定',
						        showInputError: true
						    });
			                mui("#popoverWx").popover("hide");
			                closeSubmitTips(jspanel);
				        }).success(function(result) {
							console.log(result.data);
							if(result.code==0){
								var data = JSON.parse(result.data); 
								var params = {
									partnerid: data.partnerid,
									prepayid: data.prepayid,
									noncestr: data.noncestr,
									timestamp: data.timestamp,
									appid: data.appid,
									sign: data.sign
								};
								console.log(JSON.stringify(params));
								Wechat.sendPaymentRequest(params,
								function() {
									swal({
										title: "",
										text: "充值成功",
										
										showConfirmButton: false,
										type: 'success',
										confirmButtonText: '确定',
										showInputError: true
									});
									mui("#popoverWx").popover("hide");
									closeSubmitTips(jspanel);
									window.frames["topayFrm"].src = "about:blank";
									window.location = "#/PageTab/Page1";
								},
								function(reason) {
									swal({
										title: "",
										text: reason,
										
										showConfirmButton: false,
										type: 'error',
										confirmButtonText: '确定',
										showInputError: true
									});
									mui("#popoverWx").popover("hide");
									closeSubmitTips(jspanel);
								});
							}else{
								swal({
									title: "",
									text: "充值提交失败，请稍后重试。",
		
									showConfirmButton: false,
									type: 'error',
									confirmButtonText: '确定',
									showInputError: true
								});
								mui("#popoverWx").popover("hide");
								closeSubmitTips(jspanel);
							}
				     
				        });
				}catch (e) {
					if (e.message.indexOf("Wechat") >= 0) {
						swal({
					        title: "",
					        text: "没有找到微信，请先安装微信。",
					        showConfirmButton: false,
					        type: 'error',
					        confirmButtonText: '确定',
					        showInputError: true
					    });
					}
					
					mui("#popoverWx").popover("hide");
			        closeSubmitTips(jspanel);
				}
			}
			return;
        }
		if(chargeType.trim() == "中国农业银行") {
			mui("#charge_btn").button('loading');
			//document.getElementById("charge_btn").disabled = true;

			$http({
				method: 'get',
				url: accessUrl + "/m/BankRechargeController/recharge?stuCode=" + stuCode + "&amount=" + charge_money + "&source=1&payChannel=2",
				data: {

				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				transformRequest: function(obj) {

				}
			}).success(function(result) {
				//				mui.toast(result.message);
				swal({
					title: "",
					text: result.message,
					//					timer: 1000,
					showConfirmButton: false,
					type: 'success',
					confirmButtonText: '确定',
					showInputError: true
				});
				mui("#charge_btn").button('reset');
				document.getElementById("charge_btn").disabled = false;
			});
		}
	});
});
