app.controller('merchantController', function($scope, $stateParams, $http) {
document.getElementById("merchantName").focus();
setDate();
	//swich按钮变换

	(function($) {
		$.init();

		var startDate = document.getElementById("startDate");
		var endDate = document.getElementById("endDate");
		document.getElementById("startDate").addEventListener('tap', function() {
			var _self = this;
			if(_self.picker) {
				_self.picker.show(function(rs) {
					document.getElementById("startDate").value = rs.text
					_self.picker.dispose();
					_self.picker = null;
				});
			} else {
				var optionsJson = this.getAttribute('data-options') || '{}';
				var options = JSON.parse(optionsJson);
				_self.picker = new $.DtPicker(options);
				_self.picker.show(function(rs) {
					_self.value = rs.text
					_self.picker.dispose();
					_self.picker = null;
				});
			}

		}, false);
		document.getElementById("endDate").addEventListener('tap', function() {
			var _self = this;
			if(_self.picker) {
				_self.picker.show(function(rs) {
					document.getElementById("endDate").value = rs.text
					_self.picker.dispose();
					_self.picker = null;
				});
			} else {
				var optionsJson = this.getAttribute('data-options') || '{}';
				var options = JSON.parse(optionsJson);
				_self.picker = new $.DtPicker(options);
				_self.picker.show(function(rs) {
					_self.value = rs.text
					_self.picker.dispose();
					_self.picker = null;
				});
			}

		}, false);

	})(mui);

	//mui.ajax(accessUrl + "/m/tcommcardController/findCardByStuCode", {
	//	data: {
	//		"stuCode": stuCode
	//	},
	//	dataType: 'json', //服务器返回json格式数据
	//	type: 'get', //HTTP请求类型
	//	timeout: 10000, //超时时间设置为10秒；
	//	success: function(result) {
    //
	//
    //
	//	},
	//	error: function(xhr, type, errorThrown) {
	//		mui.toast("发生未知异常");
	//	}
	//});

	getRoleDataScope();
	document.getElementById("flwquery_reg").addEventListener('tap', function() {
		mui("#flwquery_reg").button('loading');
		getRoleDataScope();
	});
	function getRoleDataScope(){
		mui.ajax(accessUrl + "/sysservice/api/tcommaccountController/getRoleDataScope", {
			data: {
				"stuCode": stuCode
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'get', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			success: function (result) {
				findMerchantByStuCode(result);
			},
			error: function (xhr, type, errorThrown) {
				if (xhr.status == 0) {
	            	mui.toast("连接超时，请确认网络是否通畅。");
	            	return;
	            }
				
				mui.toast("发生未知异常");
			}
		});
	}

	function findMerchantByStuCode(roleType){
	//mui.ajax( "http://127.0.0.1:8399/merchantController/findMerchantByStuCode", {
		mui.ajax(accessUrl + "/newmerchantservice/merchantController/findMerchantByStuCode", {
			data: {
				"stuCode": stuCode
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'POST', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			success: function (result) {
				if(result.code==200){

					var name=result.data.name;

					if(roleType=="3"){//管理员
						document.getElementById("merchantName").setAttribute("readonly",true);
						document.getElementById("merchantName").value=name;

					}
					queryDetail();
				}


			},
			error: function (xhr, type, errorThrown) {
				
				if (xhr.status == 0) {
	            	mui.toast("连接超时，请确认网络是否通畅。");
	            	return;
	            }
	            
				mui.toast("发生未知异常");
			}
		});
	}
	function queryDetail() {

		var startDate = document.getElementById("startDate").value;
		var endDate = document.getElementById("endDate").value;
		var merchantName=document.getElementById("merchantName").value;
		//http://192.168.1.103:8099/m/merchantController/newFindTradeList
		//accessUrl +"merchantservice/m/merchantController/newFindTradeList
		//mui.ajax( "http://127.0.0.1:8099/m/merchantController/newFindTradeList", {
		 mui.ajax(accessUrl +"/merchantservice/m/merchantController/newFindTradeList", {
			data: {
				"stuCode": stuCode,
				"pageIndex": 1,
				"pageSize": 50,
				"beginTime": startDate,
				"endTime": endDate,
				"merchantName":merchantName

			},
			dataType: 'json', //服务器返回json格式数据
			type: 'get', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；

			success: function(result) {
				var html = template('resultTpl', result.data);
				document.getElementById('result').innerHTML = html;
				mui('.mui-scroll-wrapper').scroll();
				mui("#flwquery_reg").button('reset');
			},
			error: function(xhr, type, errorThrown) {
				if (xhr.status == 0) {
	            	mui.toast("连接超时，请确认网络是否通畅。");
	            	return;
	            }
	            
				mui.toast("发生未知异常");
			}
		});
	}




	/**
	 * 设置时间
	 */
	function setDate() {
		var now = new Date();
		var year = now.getFullYear();
		var month = now.getMonth() + 1;
		var day = now.getDate();
		var hour = now.getHours();
		var minute = now.getMinutes();
		var second = now.getSeconds();

		var before = new Date(now.getTime() - 7 * 24 * 3600 * 1000);
		var beforeYear = before.getFullYear();
		var beforeMonth = before.getMonth() + 1;
		var beforeDay = before.getDate();
		var beforeHour = before.getHours();
		var beforeMinute = before.getMinutes();
		var beforeSecond = before.getSeconds();
		if(month < 10) {
			month = "0" + month;
		}
		if(beforeMonth < 10) {
			beforeMonth = "0" + beforeMonth;
		}
		if(day < 10) {
			day = "0" + day;
		}
		if(beforeDay < 10) {
			beforeDay = "0" + beforeDay;
		}

		var currDate = year + '-' + month + '-' + day;
		var beforeDate = beforeYear + '-' + beforeMonth + '-' + beforeDay;
		document.getElementById("startDate").value = beforeDate;
		document.getElementById("endDate").value = currDate;
	}

	
});