app.controller('myQueueController', function($scope, $http) {
	//	localhost:9003/api/serviceController/findAllCountList

	function initQueue() {
		$http({
			method: 'POST',
			url: accessUrl + "userQueueController/findByStucode",
			data: {
				stuCode: stuCode
			},
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded'
			},
			transformRequest: function(obj) {
				var str = [];
				for(var s in obj) {
					str.push(encodeURIComponent(s) + "=" + encodeURIComponent(obj[s]));
				}
				return str.join("&");
			}
		}).success(function(result) {
			$scope.queueList = result;

		});
	}
//	setInterval(function() {
//		initQueue();
//	}, 30000)
	$scope.load = function() {
		initQueue();
		mui('.mui-scroll-wrapper').scroll();
	}

	pullToRefresh();

	function pullToRefresh() {
		var startX, startY;
		document.getElementById("pullrefresh").addEventListener('touchstart', function(ev) {
			startX = ev.touches[0].pageX;
			startY = ev.touches[0].pageY;
		}, false);
		document.getElementById("pullrefresh").addEventListener('touchend', function(ev) {
			var endX, endY;
			endX = ev.changedTouches[0].pageX;
			endY = ev.changedTouches[0].pageY;

			var direction = GetSlideDirection(startX, startY, endX, endY);
			switch(direction) {
				case 0:

					console.log("无操作");
					break;
				case 1:
					// 向上

					console.log("向上");
					break;
				case 2:
					// 向下
					initQueue();
					console.log("down");
					break;

				default:
			}
		}, false);
	}

	function GetSlideDirection(startX, startY, endX, endY) {
		var dy = startY - endY;
		//var dx = endX - startX;
		var result = 0;
		if(dy > 0) { //向上滑动
			result = 1;
		} else if(dy < 0) { //向下滑动
			result = 2;
		} else {
			result = 0;
		}
		return result;
	}

});