app.controller('netRechargeController', function($scope, $stateParams, $http,$state) {
	mui.init();
	//	Waves.attach('button');

	//	mui(document.body).on('tap', '.mui-btn', function(e) {
	//		
	//	});
	var chargeType = "10";
	document.querySelector('.mui-table-view.mui-table-view-radio').addEventListener('selected', function(e) {
		chargeType = e.detail.el.innerText;
		document.getElementById("charge_money").value = chargeType;
	});
	var charge_money = 0;
	getBalanceMoney();

    //	document.getElementById("charge_banlance").value = document.getElementById("banlance").innerText;
	document.getElementById("charge_btn").addEventListener('tap', function() {

		charge_money = document.getElementById("charge_money").value;
		var password = document.getElementById("password").value;
		if(charge_money == "") {
			//mui.toast("请输入充值金额");
			swal({
				title: "",
				text: "请输入充值金额。",
				timer: 1000,
				showConfirmButton: false,
				type: 'warning',
				confirmButtonText: '确定'
			});

			//			swal(result.message, "", "success")
			return;
		}

		if(isNaN(charge_money)) {
			//			mui.toast("请输入数字");
			swal({
				title: "",
				text: "请输入数字。",
				timer: 1000,
				showConfirmButton: false,
				type: 'warning',
				confirmButtonText: '确定'
			});
			return;
		}

		if(charge_money <= 0) {
			//			mui.toast("请输入大于0的数字");
			swal({
				title: "",
				text: "请输入大于0的数字。",
				timer: 1000,
				showConfirmButton: false,
				type: 'warning',
				confirmButtonText: '确定'
			});
			return;
		}
		if(password == "") {
			//			mui.toast("请输入一卡通密码");
			swal({
				title: "",
				text: "请输入一卡通密码。",
				timer: 1000,
				showConfirmButton: false,
				type: 'warning',
				confirmButtonText: '确定'
			});
			return;
		}

		//		http://:8089/m/netRechargeController/getAccessToken
        recharge($scope.access_token);

	});
	/**
	 * 查询余额
	 */
	function getBalanceMoney() {
		$http({
			method: 'GET',
			url: accessUrl + "/m/tcommbalanceController/getAccountBalanceByStuCode?stuCode=" + stuCode,
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8'
			}
		}).success(function(result) {
			document.getElementById("banlanceMoney").value = result.data.blnBalance;
			document.getElementById("charge_banlance").value = result.data.blnBalance
			document.getElementById("account").value = stuCode;
            getToken();
		});
	}

	/**
	 * 充值
	 * @param {Object} access_token
	 */
	function recharge(access_token) {
		var charge_money = document.getElementById("charge_money").value;
		var banlanceMoney = document.getElementById("banlanceMoney").value;
		var password = document.getElementById("password").value;
		if(parseFloat(charge_money) > parseFloat(banlanceMoney)) {
			//			mui.toast("一卡通余额不足");
			swal({
				title: "",
				text: "一卡通余额不足。",
				timer: 1000,
				showConfirmButton: false,
				type: 'warning',
				confirmButtonText: '确定'
			});
			return;
		}
		mui("#charge_btn").button('loading');
		$http({
			method: 'POST',
			url: accessUrl + "/m/netRechargeController/recharge",
			data: {
				"stuCode": stuCode,
				"account": document.getElementById("account").value,
				"access_token": access_token,
				"amount": charge_money,
				"source": 1,
				"payChannel": 3,
				"password": password
			},
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded'
			},
			transformRequest: function(obj) {
				var str = [];
				for(var s in obj) {
					str.push(encodeURIComponent(s) + "=" + encodeURIComponent(obj[s]));
				}
				return str.join("&");
			}
		}).success(function(result) {
			//			mui.alert(result.message,'缴费结果' , function() {
			//				//info.innerText = '你刚关闭了警告框';
			//			});
			if(result.code == 200) {
				swal({
					title: "缴费成功",
					text: result.message,
					//				timer: 1000,
					showConfirmButton: false,
					type: 'success',
					confirmButtonText: '确定',
					showInputError: true
				},function(isConfirm){
                    $state.go("PageTab.Page1",{});
                });
			} else {
				swal({
					title: "",
					text: result.message,
					//				timer: 1000,
					showConfirmButton: false,
					type: 'error',
					confirmButtonText: '确定',
					showInputError: true
				});
			}
			//			swal(result.message, "", "info")
			//mui.toast(result.message);
			mui("#charge_btn").button('reset');
			getBalanceMoney();
			//document.getElementById("charge_btn").disabled = false;
		});
	}
	/**
	 * 获取token
	 */
	function getToken() {
		$http({
			method: 'get',
			url: accessUrl + "/m/netRechargeController/getAccessToken?stuCode=" + stuCode + "&amount=" + charge_money + "&source=1&payChannel=2",
			data: {

			},
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded'
			},
			transformRequest: function(obj) {

			}
		}).success(function(result) {
			//var access_token = result.data.access_token;
			$scope.access_token= result.data.access_token;
            getNetBalance($scope.access_token);
		});
	}

    /**
	 * 获取网费信息
     * @param accessToken
     */
	function getNetBalance(accessToken) {
        $http({
            method: 'post',
            url: accessUrl + "/cardservice/m/netRechargeController/getNetRechargeAccount",
            data: {
                accessToken:accessToken,
                stuCode:stuCode
            },
            headers: {
                'Content-Type': 'application/x-www-form-urlencoded'
            },
            transformRequest: function(obj) {
                var str = [];
                for(var s in obj) {
                    str.push(encodeURIComponent(s) + "=" + encodeURIComponent(obj[s]));
                }
                return str.join("&");
            }
        }).success(function(result) {
        	if(result.code==0){
                document.getElementById("checkout_date").value=result.data[0].checkout_date;
                document.getElementById("products_name").value=result.data[0].products_name;
                document.getElementById("user_balance").value=result.data[0].user_balance;
			}else{
                swal({
                    title: "",
                    text: "尚未开通网费账户,请联系网络中心",
                    showConfirmButton: true,
                    type: 'warning',
                    confirmButtonText: '确定',
                    showInputError: true
                },function(isConfirm){
                    $state.go("PageTab.Page1",{});
                });
			}
            mui('.mui-scroll-wrapper').scroll();

        });
    }
    mui('.mui-scroll-wrapper').scroll();
});