app.controller('registerController', function($scope, $stateParams, $http, $state) {
	$scope.stuCode = stuCode;
	
	document.getElementById("regButton").addEventListener("tap", function(e){
		var stuCode = document.getElementsByName("userAcct")[0].value;
		var acctPassword = document.getElementById("acct_password").value;
		var acctConfirmPassword = document.getElementById("acct_confirm_password").value;
		
		if ("" == jQuery.trim(acctPassword)) {
			swal({
				title: "",
				text: "请设置密码",
				//timer: 1000,
				showConfirmButton: false,
				type: 'error',
				confirmButtonText: '确定',
				showInputError: true
			});
				
			return;
		}
		
		if ("" == jQuery.trim(acctConfirmPassword)) {
			swal({
				title: "",
				text: "请输入确认密码",
				//timer: 1000,
				showConfirmButton: false,
				type: 'error',
				confirmButtonText: '确定',
				showInputError: true
			});
			
			return;
		}
		
		if (jQuery.trim(acctPassword) != jQuery.trim(acctConfirmPassword)) {
			swal({
				title: "",
				text: "两次输入密码不一致，请确认后再重试",
				//timer: 1000,
				showConfirmButton: false,
				type: 'error',
				confirmButtonText: '确定',
				showInputError: true
			});
			
			return;
		}
		
		$scope.guid = (new Date()).valueOf();
		$http({
			method: 'POST',
			cache:false,
			url: accessUrl + "/m/tcommaccountController/findByStuCode",
			data: {
				stuCode: stuCode,
	            guid:$scope.guid
			},
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded'
			},
			transformRequest: function(obj) {
				var str = [];
				for(var s in obj) {
					str.push(encodeURIComponent(s) + "=" + encodeURIComponent(obj[s]));
				}
				return str.join("&");
			}
		}).success(function(result) {
			var accObj = result.data;
			if (accObj && accObj.accCrdate) {
				accObj.accCrdate = accObj.accCrdate.substring(0, 10);
			}
			
			if (accObj && accObj.accAvdate) {
				accObj.accAvdate = accObj.accAvdate.substring(0, 10);
			}
			
			$scope.account = result.data;
	        $scope.accessUrl=accessUrl;
	        $scope.random=Math.ceil(Math.random()*10);
	        
	        var data = {
				account: stuCode,
				passwd: acctPassword,
				rleid: $scope.account.accRleid
			};
				
	        var paramData = jQuery.param(data);
	        
	        $http({
				method: 'GET',
				url: accessUrl + "/costservice/m/HotspotNetRechargeController/regist?" + paramData,
				data: null,	
				transformRequest: function(obj) {
					var str = [];
					for(var s in obj) {
						str.push(encodeURIComponent(s) + "=" + encodeURIComponent(obj[s]));
					}
					return str.join("&");
				}
				
			}).success(function(result) {
				//			mui.toast(result.message);
				if(result.code == 200) {
					swal({
						title: "",
						text: result.message,
						//				timer: 1000,
						showConfirmButton: false,
						type: 'success',
						confirmButtonText: '确定',
						showInputError: true
					},function(){
						$state.go("urbanHotspots",{});
					});
				} else {
					swal({
						title: "",
						text: result.message,
						//				timer: 1000,
						showConfirmButton: false,
						type: 'error',
						confirmButtonText: '确定',
						showInputError: true
					});
				}

				mui("#lostbtn").button('reset');
				//			document.getElementById("lostbtn").disabled = false;
			});
		});
	});
});