//http://192.168.1.103:8399//api/merchantController/findMoneyByStuCode
//accessUrl+"/newmerchantservice/api/merchantController/newFindMoneyByStuCode"
//http://192.168.1.103:8399//api/merchantController/newFindMoneyByStuCode
app.controller('storeAccQueryController', function($scope,$http) {
    //日期选择框
    (function($) {
        $.init();

        var startDate = document.getElementById("startDate");
        var endDate = document.getElementById("endDate");
        document.getElementById("startDate").addEventListener('tap', function() {
            var _self = this;
            if(_self.picker) {
                _self.picker.show(function(rs) {
                    document.getElementById("startDate").value = rs.text
                    _self.picker.dispose();
                    _self.picker = null;
                });
            } else {
                var optionsJson = this.getAttribute('data-options') || '{}';
                var options = JSON.parse(optionsJson);
                _self.picker = new $.DtPicker(options);
                _self.picker.show(function(rs) {
                    _self.value = rs.text
                    _self.picker.dispose();
                    _self.picker = null;
                });
            }

        }, false);
        document.getElementById("endDate").addEventListener('tap', function() {
            var _self = this;
            if(_self.picker) {
                _self.picker.show(function(rs) {
                    document.getElementById("endDate").value = rs.text
                    _self.picker.dispose();
                    _self.picker = null;
                });
            } else {
                var optionsJson = this.getAttribute('data-options') || '{}';
                var options = JSON.parse(optionsJson);
                _self.picker = new $.DtPicker(options);
                _self.picker.show(function(rs) {
                    _self.value = rs.text
                    _self.picker.dispose();
                    _self.picker = null;
                });
            }

        }, false);

    })(mui);

    var pageIndex = 1;
    var count = 0;
    loadPage(pageIndex)
    pullToRefresh();

    mui('.mui-scroll-wrapper').scroll();
    function pullToRefresh() {
        var startX, startY;
        document.getElementById("pullrefresh").addEventListener('touchstart', function(ev) {
            startX = ev.touches[0].pageX;
            startY = ev.touches[0].pageY;
        }, false);
        document.getElementById("pullrefresh").addEventListener('touchend', function(ev) {
            var endX, endY;
            endX = ev.changedTouches[0].pageX;
            endY = ev.changedTouches[0].pageY;

            var direction = GetSlideDirection(startX, startY, endX, endY);
            switch(direction) {
                case 0:

                    console.log("无操作");
                    break;
                case 1:
                    // 向上
                    document.getElementById("loadanmation").innerHTML = '<img style="width: 100px;height: 100px;margin-top: -200px; position: absolute; left: 130px;z-index:9999;" src="images/load.gif"/>';
                    window.setTimeout(function() {
                        pageIndex = parseInt(pageIndex);
                        if(pageIndex + 1 <= count) {
                            pageIndex++;
                            loadPage(pageIndex);
                            document.getElementById("loadanmation").innerHTML = "";

                        } else {
                            document.getElementById("flwdetail_LoadMore").innerText = "没有更多了";
                            document.getElementById("loadanmation").innerHTML = "";
                        }
                        mui('.mui-scroll-wrapper').scroll();
                    }, 500)

                    break;
                case 2:
                    // 向下

                    console.log("down");
                    break;

                default:
            }
        }, false);
    }
    function loadPage(pageIndex) {
        var startDate = document.getElementById("startDate").value;
        var endDate = document.getElementById("endDate").value;
        var data={
            accStucode: stuCode,
            pageIndex: pageIndex,
            pageSize: 3,
            startDate: startDate,
            endDate: endDate
        }
        mui.ajax(accessUrl+"/newmerchantservice/AMerchantTradeCheckController/mStorefindByPage", {
            data:data,
            dataType: 'json', //服务器返回json格式数据
            type: 'POST', //HTTP请求类型
            timeout: 10000, //超时时间设置为10秒；
            success: function(result) {
                mui('.mui-scroll-wrapper').scroll();
                $scope.details = result.data;
                var html = template('stroeAccQueryContenttimelineTpl', result);
                document.getElementById('stroeAccQueryContentresult').innerHTML += html;
                document.querySelectorAll(".tongji")[0].style.display= "block";
                pageIndex = result.pageIndex;
                count = result.pageCount;
                document.getElementById("loadanmation").innerHTML = '';

            },
            error: function(XMLHttpRequest, textStatus, errorThrown) {
            	if (XMLHttpRequest.status == 0) {
	            	mui.toast("连接超时，请确认网络是否通畅。");
	            	return;
	            }
	            
                mui.toast("发生未知异常" + XMLHttpRequest.readyState + "textStatus" + textStatus);
            }
        });
    }
    document.getElementById("flwquery_reg").addEventListener('tap', function() {
        if(startDate.value == "") {
            swal({
                title: "",
                text: "请选择起始日期",
                timer: 1000,
                showConfirmButton: false,
                type: 'warning',
                confirmButtonText: '确定'
            });
            return;
        }



        if(endDate.value == "") {
            swal({
                title: "",
                text: "请选择终止日期",
                timer: 1000,
                showConfirmButton: false,
                type: 'warning',
                confirmButtonText: '确定'
            });
            return;
        }
        document.getElementById("flwdetail_LoadMore").innerText = "点击加载更多";
        document.getElementById("loadanmation").innerHTML = "";
        pageIndex=1;
        document.getElementById('stroeAccQueryContentresult').innerHTML="";
        loadPage(pageIndex);
        //		var flwquery_cardList = document.getElementById("flwquery_cardList").value;;
    });
    function GetSlideDirection(startX, startY, endX, endY) {
        var dy = startY - endY;
        //var dx = endX - startX;
        var result = 0;
        if(dy > 0) { //向上滑动
            result = 1;
        } else if(dy < 0) { //向下滑动
            result = 2;
        } else {
            result = 0;
        }
        return result;
    }
    document.getElementById("flwdetail_LoadMore").addEventListener('tap', function() {
        pageIndex = parseInt(pageIndex);
        if(pageIndex + 1 <= count) {
            pageIndex++;
            loadPage(pageIndex);
            mui('.mui-scroll-wrapper').scroll();
        } else {
            document.getElementById("flwdetail_LoadMore").innerText = "没有更多了"
        }

    });

});
